'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.renameColumn('activity_reviews', 'rating', 'guide_rating');
		await queryInterface.addColumn('activity_reviews', 'transportation_rating', {
			type: Sequelize.INTEGER,
			allowNull: true,
		});
		await queryInterface.addColumn('activity_reviews', 'value_for_money_rating', {
			type: Sequelize.INTEGER,
			allowNull: true,
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.renameColumn('activity_reviews', 'guide_rating', 'rating');
		await queryInterface.removeColumn('activity_reviews', 'transportation_rating');
		await queryInterface.removeColumn('activity_reviews', 'value_for_money_rating');
	},
};
